/////////////////////////////////////////////////////////////////////////////
//                                                                            
// WWW                 WW                                                     
//  WW                 WW                                                     
//  WW                 WW                                                     
//  WW    WWW    WWW   WW  WW  WW WW  WWWW    WWW   WW  WW  WW  WW            
//  WW   WW WW  WW WW  WW WW   WW WW  WW WW  WW WW   WWWW    WWWW             
//  WW   WW WW  WW WW  WWWW    WW WW  WW WW  WW       WW      WW              
//  WW   WW WW  WW WW  WW WW   WW WW  WW WW  WW WW   WWWW    WWWW             
// WWWW   WWW    WWW   WW  WW   WWWW  WWWW    WWW   WW  WW  WW  WW            
//                                    WW                                      
//                                    WW                                      

#include "lookup.h"

void LookupTable::calcTable(){
  int i;
  double angle;
  
  for (i=0; i<DIM; i++){
    SinT[i] = sin(2.0*M_PI* i/(DIM-1.0));
  }
  
  for (i=0; i<DIMB; i++){
    BesT[i] = jn(2,BESSEL_MAX* (i/(DIMB-1.0)-0.5)*2.0);
  }
  
}

  // Tests function
/*
main(){
  LookupTable l;
  l.calcTable();
  double max=0.0, min=0.0, diff;
  for (double x=0.0; x>-10000.0; x-=drand48()*M_PI*2.0){
    diff = sin(x)-l.lnsin(x);
    if (diff>max){
      max=diff;
      printf("x=%g sin=%g lsin=%g diff=%g\n",
	     x, sin(x), l.lnsin(x), diff);
    }
    else if (diff<min){
      min=diff;
      printf("x=%g sin=%g lsin=%g diff=%g\n",
	     x, sin(x), l.lnsin(x), diff);
    }    
  } 
}

*/
